# Ogre::IntersectionSceneQueryListener Class Reference
Scene

Alternative listener class for dealing with IntersectionSceneQuery. More...

`#include <OgreSceneQuery.h>`

Inheritance diagram for Ogre::IntersectionSceneQueryListener:
[legend]

List of all members.

## Public Member Functions

virtual | ~IntersectionSceneQueryListener ()
virtual bool | queryResult (MovableObject *first, MovableObject *second)=0
| Called when 2 movable objects intersect one another.
virtual bool | queryResult (MovableObject *movable, SceneQuery::WorldFragment *fragment)=0
| Called when a movable intersects a world fragment.

## Detailed Description

Alternative listener class for dealing with IntersectionSceneQuery.

Remarks:
  Because the IntersectionSceneQuery returns results in pairs, rather than singularly, the listener interface must be customised from the standard SceneQueryListener.

Definition at line 460 of file OgreSceneQuery.h.

## Constructor & Destructor Documentation

virtual Ogre::IntersectionSceneQueryListener::~IntersectionSceneQueryListener | ( |  | ) | `[virtual]`

Definition at line 463 of file OgreSceneQuery.h.

## Member Function Documentation

virtual bool Ogre::IntersectionSceneQueryListener::queryResult | ( | MovableObject * | first,
|  | MovableObject * | second
| ) |  | `[pure virtual]`

Called when 2 movable objects intersect one another.

Remarks:
  As with SceneQueryListener, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query.

Implemented in Ogre::IntersectionSceneQuery.

virtual bool Ogre::IntersectionSceneQueryListener::queryResult | ( | MovableObject * | movable,
|  | SceneQuery::WorldFragment * | fragment
| ) |  | `[pure virtual]`

Called when a movable intersects a world fragment.

Remarks:
  As with SceneQueryListener, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query.

Implemented in Ogre::IntersectionSceneQuery.

The documentation for this class was generated from the following file:

- OgreSceneQuery.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:17